MKNETID(8)

NAME
mknetid - generate a YP map of group and domain memberships

SYNOPSIS
mknetid [-q] [-d domain] [-g groupfile] [-h hostfile] [-m netidfile] [-P master.passwdfile] [-p passwdfile]

DESCRIPTION
The mknetid utility combines information from the passwd(5), group(5), hosts(5), and netid(5) files, printing it in netid(5) format to the standard output. If the passwd(5) file is not available, the master.passwd(5) file is used instead. The netid(5) file is optional and does not need to exist.

The most common application is to pass the output to makedbm(8) in order to create a netid.byname map for the yp(8) subsystem.

The options are as follows:

-d domain
    Use domain instead of the default domainname(1).

-g groupfile
    Use groupfile instead of /etc/group.

-h hostfile
    Use hostfile instead of /etc/hosts.

-m netidfile
    Use netidfile instead of /etc/netid.

-P master.passwdfile
    Use master.passwdfile instead of /etc/master.passwd.

-p passwdfile
    Use passwdfile instead of /etc/passwd.

-q  Keep quiet about multiple occurrences of a user ID. Ignore all but the first.

FILES
/etc/passwd
/etc/master.passwd
/etc/group
/etc/hosts
/etc/netid

SEE ALSO
domainname(1), group(5), hosts(5), netid(5), passwd(5), Makefile.yp(8)

AUTHORS
Mats O Jansson <moj@stacken.kth.se>